package com.xkrs.controller;

import com.xkrs.model.qo.SettingQo;
import com.xkrs.service.SettingService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 设置审核开关状态
 */
@RestController
public class SettingController {

    @Resource
    private SettingService settingService;

    /**
     * 更新审核开关状态
     */
    @PostMapping("/updateswitchstate")
    public String updateSwitchState(@RequestBody SettingQo settingQo) {
        return settingService.updateSwitchState(settingQo);
    }

    /**
     * 查询审核开关状态
     */
    @GetMapping("/queryswitchstate")
    public String querySwitchState() {
        return settingService.querySwitchState();
    }

}
